# ----------------------------------------------------- 
# Keyboard Layout
# https://wiki.hyprland.org/Configuring/Variables/#input
# -----------------------------------------------------

input {
    kb_layout = us,ca
    kb_variant =
    kb_model =
    kb_options = grp:win_space_toggle
    kb_rules =
    repeat_rate = 50 #
    repeat_delay = 300 #
    numlock_by_default = true
    follow_mouse = true
    mouse_refocus = false
    touchpad {
        natural_scroll = false
        disable_while_typing = true
        clickfinger_behavior = false
        middle_button_emulation = true
        tap-to-click = true
        drag_lock = false
	scroll_factor = 1.0 # Touchpad scroll factor
    }
    sensitivity = 0 # -1.0 - 1.0, 0 means no modification.
    float_switch_override_focus = false
}
